Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
com.tritondigital.net.streaming.proxy.decoder.flv.FlvDecoder Class Reference

Decodes an Flv Stream to extract the AudioData and the MetaData. More...

Inheritance diagram for com.tritondigital.net.streaming.proxy.decoder.flv.FlvDecoder:

## Public Member Functions
void | stopDecodingThread ()
Public Member Functions inherited from com.tritondigital.net.streaming.proxy.decoder.StreamContainerDecoder
boolean | onDataReceived (byte[] data, int dataLength)
void | setMetaDataDecodedListener (MetaDataDecodedListener metaDataDecodedListener)
| Sets the listener to be notified when new meta data is decoded.
void | setAudioDataDecodedListener (AudioDataDecodedListener audioDataDecodedListener)
| Sets the listener to be notified when new audio data is decoded.
void | startDecodingInBackground ()
| Creates and InputStream and starts a thread that decodes it and does the actual job of extracting the audio data and parameters and the meta data.
void | stop ()
| Stops the decoding thread and close the streams.
void | setReferenceTimestampToNow ()

## Static Public Attributes
static final int | TAG_TYPE_AUDIO = 0x08
static final int | TAG_TYPE_META = 0x12

## Protected Member Functions
void | startDecodingThread ()
Protected Member Functions inherited from com.tritondigital.net.streaming.proxy.decoder.StreamContainerDecoder
| StreamContainerDecoder ()
| Creates the internal streams used to transfer the new data received from the socket to a stream that can be used in blocking reading.
void | notifyMetaDataDecoded (final Map< String, Object > metaData, int timestamp)
| Notifies the MetaDataListener that a MetaData was decoded.
void | notifyAudioConfigDecoded (AudioConfig audioConfig)
| Notifies the AudioDataListener that the AudioConfig was decoded.
void | notifyAudioDataDecoded (byte[] audioData, int audioDataLength, int timestamp)
| Notifies the AudioDataListener that an AudioData was decoded.

## Additional Inherited Members
Public Attributes inherited from com.tritondigital.net.streaming.proxy.decoder.StreamContainerDecoder
final String | TAG = "StreamContainerDecoder"
Protected Attributes inherited from com.tritondigital.net.streaming.proxy.decoder.StreamContainerDecoder
volatile QueueInputStream | mInputStreamForDecodingThread
| Stream where new received bytes are enqueued, read by the decoder.
long | mReferenceTimestamp
| The timestamp of the machine at the moment when the decoding starts.

## Detailed Description

Decodes an Flv Stream to extract the AudioData and the MetaData.

This class uses CoreMedia to parse the Flv. The Flv Decoding respects the format described at http://osflash.org/flv.

## Member Function Documentation

## ◆ startDecodingThread()

void com.tritondigital.net.streaming.proxy.decoder.flv.FlvDecoder.startDecodingThread | ( |  | ) |
| protected

Reimplemented from com.tritondigital.net.streaming.proxy.decoder.StreamContainerDecoder.

## ◆ stopDecodingThread()

void com.tritondigital.net.streaming.proxy.decoder.flv.FlvDecoder.stopDecodingThread | ( |  | ) |

Reimplemented from com.tritondigital.net.streaming.proxy.decoder.StreamContainerDecoder.

The documentation for this class was generated from the following file:

- streamingproxy/src/main/java/com/tritondigital/net/streaming/proxy/decoder/flv/FlvDecoder.java